Subject: Re: [ppsp] ppsp Digest, Vol 16, Issue 24

From: Alberto José González Cela <[email-masked]>
Date: Thu, 28 Jan 2010 11:24:36 +0100

Hi all,

I agree with Gonzalo, Yunfei and Ning comments.

["The  peer  protocol  controls  the  advertising  and  exchane  of
media  data  availablility  between  peers"  which  means  neither
data  chunk,  nor  media  streaming  between  peers] --> +1

[gap analysisi] --> +1

BR,

Alberto.

>
> Message: 1
> Date: Thu, 28 Jan 2010 09:30:12 +0800
> From: "zhangyunfei" <[email-masked]>
> Subject: Re: [ppsp] Latest updated version of PPSP charter
> To: "zongning 63316" <[email-masked]>
> Cc: "[email-masked]" <[email-masked]>
> Message-ID: <[email-masked]>
> Content-Type: text/plain; charset="gb2312"
>
> Agree.Just like Gonzalo's proposal on privacy issues, the gap analysis may be useful if there are some written materials to the mailing list/meetings.
>
> BR
> Yunfei
>
>
>
>
> zhangyunfei
> 2010-01-28
>
>
>
> ???? zongning 63316
> ????? 2010-01-27 19:45:30
> ???? zhangyunfei
> ??? Gonzalo Camarillo; David A. Bryan; Victor_Pascual_?vila; [email-masked]
> ??? Re: Re: [ppsp] Latest updated version of PPSP charter
>
> Hi,
>
> I  agree  with  what  Yunfei  has  proposed,  that  is,  "The  peer  protocol  controls  the  advertising  and  exchane  of  media  data  availablility  between  peers"  which  means  neither  data  chunk,  nor  media  streaming  between  peers.
> However,  I  would  suggest  that  PPSP  consider  the  gap  between  "advertising  the  media  data  availability  between  peers"  and  "real  data  transfer",  because  there  should  be  a  signalling  protocol  between  peers  to  negotiate  connections.  I  would  propose  that  we  need  at  least  some  gap  analysis  to  see  if  some  existing  protocols  (e.g.  RTSP/SDP)  fits  the  scenarios/requirements  of  PPSP  and  thus  are  reused  as  connection  negotiation  following  PPSP  peer  prot
> ocol,  or  new  signalling  protocol  is  required  as  part  of  PPSP  peer  protocol  to  do  connection  negotiation.
>
> My  2  cents,
>
> BR,
> Ning  Zong
>
>
> -----  ???  -----
> ???:  zhangyunfei   <[email-masked] >
> ??:  ???,  ??  27?,  2010  ??3:41
> ??:  Re:  [ppsp]  Latest  updated  version  of  PPSP  charter
> ???:  Gonzalo  Camarillo   <[email-masked] >,  "David  A.  Bryan"   <[email-masked] >,Victor_Pascual_?vila   <[email-masked] >
> ??:  "[email-masked]"   <[email-masked] >
>
>>  Hi,
>>      In  my  understanding,the  peer  protocol  is  exchanging  the
>>  information  of  what  peers  have,rather  than  the  real  data
>>  transferring.The  real  data  transfer  is  probably  done  by  exisiting
>>  IETF  protocols  like  UDP,TCP  or  RTP.
>>      So  I  would  propose  to  update  the  last  sentence  of  Para  3  of
>>  latest  charter  as  follows:
>>      The  peer  protocol  controls  the  advertising  and  exchange  of
>>  media  data  availability  between  the  peers.The  real  data  transfer
>>  is  probably  done  by  exisiting  IETF  protocols  like  UDP,TCP  or  RTP.
>>      Any  comments?
>>        P.S.:Gonzalo,I  agree  with  your  suggestions  on  the  privacy
>>  issue.I  think  this  may  be  a  topic  we  can  discuss  in  March  meeting.
>>                      As  for  the  real-time  requirement,  the  current  charter
>>  says:  The  two  protocols  enable  peers  to  receive  streaming
>>  data  within  the  time  constraints  required  by  specific  content  items.
>>
>>  BR
>>  Yunfei
>>
>>
>>
>>
>>  zhangyunfei
>>  2010-01-27
>>
>>
>>
>>  ????  Gonzalo  Camarillo
>>  ?????  2010-01-27  04:37:14
>>  ????  David  A.  Bryan
>>  ???  [email-masked]
>>  ???  Re:  [ppsp]  Latest  updated  version  of  PPSP  charter
>>
>>  Hi,
>>
>>  the    peer    protocol    would    handle    the    exchange    of    data
>>  chunks    between
>>  peers.    Whether    the    peer    protocol    will    negotiate    a
>>  connection    that    will
>>  carry    those    chunks    between    peers,    or    will    carry    the
>>  chunks    inline    in    its
>>  own    protocol    messages    was    not    clear    at    the    BOF...    if    we
>>  already    know,
>>  the    charter    text    could    say    so.    If    this    is    for    further
>>  study,    the    charter
>>  text    could    also    say    so...
>>
>>  Cheers,
>>
>>  Gonzalo
>>
>>
>>
>>  David    A.    Bryan    wrote:
>>   >    Just    to    make    sure    there    is    no    confusion,    can    you
>>  clarify    this    comment
>>   >    a    bit,    as    I'm    still    a    bit    confused!
>>   >
>>   >    On    Tue,    Jan    26,    2010    at    1:59    PM,    Gonzalo    Camarillo
>>   >       <[email-masked]   >    wrote:
>>   >
>>   >   >    At    the    last    BOF,    there    were    people    who    were    confused
>>  by    the    term
>>   >   >    "signalling"    protocol.    They    assumed    that    a    signalling
>>  or    control
>>   >   >    protocol    would    not    carry    data...    but    the    protocol    to
>>  be    used    between
>>   >   >    peers    will    actually    transfer    data    chunks.    We    may    want
>>  to    clarify    that    is
>>   >   >    the    case.
>>   >
>>   >    I    think    what    you    are    saying    here    is    that    you    *do*
>>  think    the    peer
>>   >    protocol    (but    I    assume    not    the    tracker    protocol)    will
>>  actually >    transfer    the    data.    Is    that    correct?    If    so,    the
>>  statement    in    the
>>   >    charter    "PPSP    is    not    chartered    to    work    on    media
>>  transmission >    protocols"    seems    a    bit    contradictory.    I    guess
>>  maybe    I    am    one    of    those
>>   >    who    felt    that    signalling    meant    "not    carrying    data".
>>   >
>>   >    Are    you    picturing    that    we    do    use    the    peer    protocol
>>  itself    to    exchange
>>   >    chunks    in    the    off-line    scenario,    but    that    some    existing
>>  streaming
>>   >    media    protocol    would    be    used    in    the    live    streaming
>>  scenario?    (or    have
>>   >    I    just    hopelessly    mangled    what    you    meant    to    say    ;)    )
>>   >
>>   >    If    we    do    transfer    the    chunks    in    the    peer    protocol
>>  itself    rather    than
>>   >    using    some    existing    bulk    transfer    protocol    (even    if
>>  just    the    off-line
>>   >    case),    depending    on    the    transport    we    then    have    the
>>  concerns >    fragmentation    etc.,    which    I    would    assume    would
>>  then    be    in-scope    for
>>   >    the    peer    protocol    design?
>>   >
>>   >    Just    trying    to    get    a    handle    on    what    you    are    thinking
>>  here    (and    see    if
>>   >    you    and    Lars    are    on    the    same    page...).    Thanks!
>>   >
>>   >    David
>>
>>  _______________________________________________
>>  ppsp    mailing    list
>>  [email-masked]
>>  https://www.ietf.org/mailman/listinfo/ppsp
>>
> -------------- next part --------------
> An HTML attachment was scrubbed...
> URL: <http://www.ietf.org/mail-archive/web/ppsp/attachments/20100128/7f3d415b/attachment.htm>
>
> ------------------------------
>
> _______________________________________________
> ppsp mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/ppsp
>
>
> End of ppsp Digest, Vol 16, Issue 24
> ************************************
>

-- 
Alberto Jose Gonzalez Cela